## oggmux

oggmux — mux ogg streams (info about ogg: http://xiph.org)

## Synopsis

                        GstOggMux;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstOggMux

## Implemented Interfaces

GstOggMux implements GstPreset.

## Properties

      "max-delay"                guint64               : Read / Write
      "max-page-delay"           guint64               : Read / Write

## Description

This element merges streams (audio and video) into ogg files.

### Example pipelines

    1

    gst-launch v4l2src num-buffers=500 ! video/x-raw-yuv,width=320,height=240 ! ffmpegcolorspace ! theoraenc ! oggmux ! filesink location=video.ogg

Encodes a video stream captured from a v4l2-compatible camera to Ogg/Theora (the encoding will stop automatically after 500 frames)

Last reviewed on 2008-02-06 (0.10.17)

## Details

### GstOggMux

    typedef struct _GstOggMux GstOggMux;

The ogg muxer object structure.

## Property Details

### The `"max-delay"` property

      "max-delay"                guint64               : Read / Write

Maximum delay in multiplexing streams.

Default value: 500000000

### The `"max-page-delay"` property

      "max-page-delay"           guint64               : Read / Write

Maximum delay for sending out a page.

Default value: 500000000

## See Also

oggdemux